summaryrefslogtreecommitdiffstats
path: root/glusterfs-api.pc.in
diff options
context:
space:
mode:
authorAnand Avati <avati@redhat.com>2013-04-24 00:51:12 -0700
committerVijay Bellur <vbellur@redhat.com>2013-06-08 14:52:22 -0700
commit481170939e445d6592621a4ea56b3fb437579226 (patch)
treea43254b6d623959e9dc659f1d6e93f392d6ca02e /glusterfs-api.pc.in
parent54ea75f800b9158083bd5d7f6316fd814d0deaf9 (diff)
pkg-config: present API version and not package version
This way PKG_MODULE() autoconf test checks for required API rather than release version (e.g required API could be in all all of 3.4.5, 3.5.1, 3.6.4 etc.) With the first "release" of gfapi, the current version (4) will be frozen. Version 3 is sufficient for QEMU's requirement. Version 4 is necessary for Samba VFS Change-Id: Iada3a4c88b9c67413dcd57004fd8a62926a21b42 BUG: 953694 Signed-off-by: Anand Avati <avati@redhat.com> Reviewed-on: http://review.gluster.org/5165 Tested-by: Gluster Build System <jenkins@build.gluster.com> Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Diffstat (limited to 'glusterfs-api.pc.in')
-rw-r--r--glusterfs-api.pc.in3
1 files changed, 2 insertions, 1 deletions
diff --git a/glusterfs-api.pc.in b/glusterfs-api.pc.in
index be46bb3..dfdb8ae 100644
--- a/glusterfs-api.pc.in
+++ b/glusterfs-api.pc.in
@@ -6,6 +6,7 @@ includedir=@includedir@
Name: glusterfs-api
Description: GlusterFS API
-Version: @VERSION@
+/* This is the API version, NOT package version */
+Version: 4
Libs: -Wl,-R${libdir} -L${libdir} -lgfapi -lglusterfs -lgfrpc -lgfxdr
Cflags: -I${includedir}/glusterfs -D_FILE_OFFSET_BITS=64 -D__USE_FILE_OFFSET64